> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Entry Image



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/confirm
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/confirm:
    post:
      tags:
        - Collection Media
      summary: Confirm Entry Image
      operationId: CollectionMediaController_confirmEntryImage_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConfirmCollectionEntryImageDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryImagesMutationResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ConfirmCollectionEntryImageDto:
      type: object
      properties:
        uploadSessionId:
          type: string
          pattern: ^[1-9]\d*$
        altText:
          anyOf:
            - type: string
            - type: 'null'
        isDefault:
          default: false
          type: boolean
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - uploadSessionId
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionEntryImagesMutationResponseDto:
      type: object
      properties:
        images:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryImageDto'
        entryVersion:
          type: number
        collectionVersion:
          type: number
      required:
        - images
        - entryVersion
        - collectionVersion
    CollectionEntryImageDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        altText:
          type: string
          nullable: true
        isDefault:
          type: boolean
        position:
          type: number
        version:
          type: number
      required:
        - id
        - url
        - altText
        - isDefault
        - position
        - version
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````